@font-face {
  font-family: 'sen';
  src: url('sen.ttf');
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'sen', sans-serif;
  background-color: #f2f2f2; /* Barva pozadí stránky */
  position: relative; /* Nastavení relativní pozice pro body */
}

#box {
  width: 100%;
  height: auto;
}

#header {
  position: relative; /* Nastavení relativní pozice pro záhlaví */
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #ffffff;
  padding: 20px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.logo {
  display: flex;
  justify-content: center;
  align-items: center;
}

.logo img {
  max-width: 200px;
  height: auto;
  transition: transform 0.3s ease;
}

.logo:hover img {
  transform: scale(1.1);
}

nav ul {
  list-style-type: none;
  display: flex;
}

nav ul li {
  margin: 0 15px;
}

nav ul li a {
  font-family: 'sen', sans-serif;
  font-weight: bold;
  text-decoration: none;
  color: #333;
  font-size: 20px;
  padding: 10px 15px;
  border-radius: 5px;
  transition: 0.3s ease;
}

nav ul li a:hover {
  background-color: #ddd;
}

.search {
  display: flex;
  align-items: center;
  position: relative; /* Přidání relativní pozice pro pozdější umístění ikony vyhledávání */
}

.search input[type="text"] {
  padding: 10px; /* Zvýšení polštářování pro lepší vzhled */
  border-radius: 5px;
  border: 1px solid #ccc;
  width: 300px; /* Zvětšení šířky pole pro lepší použitelnost */
  margin-right: 10px; /* Odsazení mezi polem a tlačítkem */
}

.search button {
  padding: 10px 20px; /* Zvýšení polštářování pro lepší vzhled */
  border: none;
  background-color: #333;
  color: #fff;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease; /* Plynulý přechod při najetí myší */
}

.search button:hover {
  background-color: #555; /* Změna barvy pozadí při najetí myší */
}

.user-options {
  position: absolute; /* Nastavení absolutní pozice pro odkazy "Košík" a "Můj účet" */
  top: 20px; /* Umístění od horní hrany záhlaví */
  right: 20px; /* Umístění od pravého okraje záhlaví */
  display: flex;
}

.user-options a {
  font-family: 'sen', sans-serif;
  text-decoration: none;
  color: #333;
  font-size: 16px;
  padding: 8px 12px;
  border: 2px solid #333;
  border-radius: 5px;
  transition: 0.3s ease;
  margin-left: 10px; /* Mezera mezi Košíkem a Můj účet */
}

.user-options a:hover {
  background-color: #333;
  color: #fff;
}
/* Styly pro nadpis */
.nadpis {
  text-align: center;
  margin-bottom: 20px;
  font-size: 50px;
}
.produkty-container {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  background-color: rgb(255, 255, 255);
}
.produkty {
  width: 1350px;
  display: flex;
  flex-direction: column; /* Položky budou pod sebou */
  align-items: center; /* Položky budou horizontálně vycentrované */
  gap: 5px; /* Mezera mezi položkami */
  background-color: rgb(255, 255, 255);
  margin: auto; /* Zarovnání na střed horizontálně */
  margin-top: 5px;
}




.produkt1:hover,
.produkt2:hover,
.produkt3:hover {
  transform: scale(1.03); /* Zvětšení po najetí myší */
}


.produkt1,
.produkt2,
.produkt3 {
  width: 600px; /* Šířka položky */
  height: 150px; /* Výška položky */
  display: flex; /* Použijeme flexbox pro zarovnání fotky a textu */
  transition: 0,3s ease;
}

.produkt1 h1,
.produkt2 h1,
.produkt3 h1 {
  font-size: 20px;
  text-align: left;
  color: #333;
  flex-grow: 1;
  margin-top: 40px; /* Text se bude roztahovat, aby vyplnil pravou část */
}

.produkt1 h2,
.produkt2 h2,
.produkt3 h2 {
  font-size: 14px;
  text-align: left;
  color: #555;
  flex-grow: 1; /* Text se bude roztahovat, aby vyplnil pravou část */
}

.produkt1 h3,
.produkt2 h3,
.produkt3 h3 {
  font-size: 20px;
  align-self: flex-end;
  color: #777;
  
}

.produkt1 img,
.produkt2 img,
.produkt3 img {
  width: 150px;
  height: 150px;
}
.shrnuti {
  background-color: #f7f7f7;
  padding-bottom: 20px;
  border-radius: 15px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  display: flex;
  flex-direction: column; /* Text bude pod sebou */
  align-items: flex-start; /* Zarovnání textu na levý okraj */
}

.shrnuti h1, .shrnuti h2 {
  font-size: 20px;
  margin-left: 20%;
}

.shrnuti p {
  margin: 5px 0;
  text-align: left;
  font-size: 15px;
  margin-left: 20%;
}

/* Styly pro oddělovací čáru */
.shrnuti hr {
  width: 100%;
  border: none;
  height: 1px;
  background-color: #ddd; /* Barva čáry */
  margin: 10px 0; /* Mezera nad a pod čárou */
}

.tlacitko {
  padding: 15px 30px; /* Zvětšení polštáře pro lepší vizuální efekt */
  background-color: #007bff;
  color: white;
  text-decoration: none;
  border-radius: 25px; /* Větší zaoblení rohů pro atraktivnější vzhled */
  transition: 0.3s ease; /* Přidání přechodových efektů pro plynulý efekt */
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  margin-left: 300px; /* Odstup mezi textem a tlačítkem */
}

.tlacitko:hover {
  background-color: #0056b3;
  transform: scale(1.05); /* Zvětšení tlačítka při najetí myší */
}


.cara {
  width: 100%;
  height: 1px; 
  background-color: #ccc; 
  margin: 5px 0; 
}


/* Styly pro newsletter */
.newsletter-container {
  background-color: #333;
  color: #fff;
  padding: 50px;
}

.newsletter-section {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.newsletter-text {
  flex: 1;
  max-width: 400px;
}

.newsletter-form {
  flex: 1;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.newsletter-section h4 {
  font-size: 24px;
  margin-bottom: 20px;
}

.newsletter-section p {
  font-size: 16px;
  line-height: 1.5;
}

form {
  display: flex;
  align-items: center;
}

label {
  display: none;
}

input {
  padding: 12px;
  border: none;
  border-radius: 5px;
  width: 250px;
  margin-right: 10px;
}

button {
  padding: 12px 24px;
  background-color: #fff;
  color: #333;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  margin-left: 10px;
}

button:hover {
  background-color: #555;
  color: #fff;
}

/* Styly pro patičku */
.footer-container {
  background-color: #222;
  color: #fff;
  padding: 50px;
  font-size: 15px
}

.footer-section {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
  margin-bottom: 30px;
}

.about-converse,
.support,
.contact-us {
  flex-basis: calc(33.33% - 20px);
  margin: 10px;
}

.about-converse h1,
.support h1,
.contact-us h1 {
  font-size: 20px;
  margin-bottom: 10px;
}

.additional-links {
  display: flex;
  justify-content: flex-start;
  flex-wrap: wrap;
}

.additional-links h1 {
  font-size: 20px;
  margin-bottom: 10px;
  margin-right: 20px;
}

.additional-links p {
  margin-right: 20px;
}

.additional-links a {
  color: #fff;
  text-decoration: none;
  transition: color 0.3s;
}

.additional-links a:hover {
  color: #bbb;
}
